GET /inventory-map

GET /inventory-map

/inventory-map

Request
URI
GET
https://{api_host}/api/inventory-map
COPY
Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns InventoryMapResponse of type(s) application/json
{
    "count": 0,
    "next": "string",
    "results": [
        {
            "config": {
                "cloud_ref": "string",
                "east_west_placement": false,
                "floating_ip": "string",
                "fqdn": "string",
                "name": "string",
                "se_group_ref": "string",
                "url": "string",
                "uuid": "string",
                "vip": "string",
                "waf_policy_ref": "string"
            },
            "poolgroup_refs": [
                {
                    "members": [
                        {
                            "pool_ref": "string",
                            "pool_ref_data": {
                                "alert": {
                                    "level": "string"
                                },
                                "config": {
                                    "cloud_ref": "string",
                                    "created_by": "string",
                                    "default_server_port": 0,
                                    "enabled": false,
                                    "gslb_sp_enabled": false,
                                    "name": "string",
                                    "tenant_ref": "string",
                                    "url": "string",
                                    "uuid": "string",
                                    "vrf_ref": "string"
                                },
                                "health_score": {
                                    "anomaly_penalty": 0,
                                    "health_score": "number",
                                    "performance_score": {
                                        "application_performance": {
                                            "reason": "string",
                                            "reason_attr": "string",
                                            "uuid": "string",
                                            "virtualservice_performance_scores": [
                                                {
                                                    "hs_entity": {
                                                        "entity_uuid": "string",
                                                        "metrics_entity": "string",
                                                        "pool_ref": "string",
                                                        "server": "string"
                                                    },
                                                    "reason": "string",
                                                    "score_data": {
                                                        "apdexc": "number",
                                                        "apdexr": "number",
                                                        "avg_pool_performance_score": "number",
                                                        "oper_state": "string",
                                                        "pool_performance_scores": [
                                                            {
                                                                "hs_entity": {
                                                                    "entity_uuid": "string",
                                                                    "metrics_entity": "string",
                                                                    "pool_ref": "string",
                                                                    "server": "string"
                                                                },
                                                                "reason": "string",
                                                                "score_data": {
                                                                    "apdexc": "number",
                                                                    "apdexr": "number",
                                                                    "oper_state": "string",
                                                                    "pool_ref": "string",
                                                                    "reason": "string",
                                                                    "reason_attr": "string",
                                                                    "sum_finished_conns": "number",
                                                                    "uuid": "string"
                                                                },
                                                                "value": "number"
                                                            }
                                                        ],
                                                        "reason": "string",
                                                        "reason_attr": "string",
                                                        "rum_apdexr": "number",
                                                        "sum_finished_conns": "number",
                                                        "uuid": "string",
                                                        "vs_uptime": "number"
                                                    },
                                                    "value": "number"
                                                }
                                            ]
                                        },
                                        "pool_performance": {
                                            "apdexc": "number",
                                            "apdexr": "number",
                                            "oper_state": "string",
                                            "pool_ref": "string",
                                            "reason": "string",
                                            "reason_attr": "string",
                                            "sum_finished_conns": "number",
                                            "uuid": "string"
                                        },
                                        "reason": "string",
                                        "reason_attr": "string",
                                        "server_performance": {
                                            "apdexc": "number",
                                            "apdexr": "number",
                                            "oper_state": "string",
                                            "pool_uuid": "string",
                                            "reason": "string",
                                            "reason_attr": "string",
                                            "server": "string",
                                            "sum_finished_conns": "number",
                                            "uuid": "string"
                                        },
                                        "serviceengine_performance": {
                                            "oper_state": "string",
                                            "reason": "string",
                                            "reason_attr": "string",
                                            "uuid": "string"
                                        },
                                        "value": "number",
                                        "virtualservice_performance": {
                                            "apdexc": "number",
                                            "apdexr": "number",
                                            "avg_pool_performance_score": "number",
                                            "oper_state": "string",
                                            "pool_performance_scores": [
                                                {
                                                    "hs_entity": {
                                                        "entity_uuid": "string",
                                                        "metrics_entity": "string",
                                                        "pool_ref": "string",
                                                        "server": "string"
                                                    },
                                                    "reason": "string",
                                                    "score_data": {
                                                        "apdexc": "number",
                                                        "apdexr": "number",
                                                        "oper_state": "string",
                                                        "pool_ref": "string",
                                                        "reason": "string",
                                                        "reason_attr": "string",
                                                        "sum_finished_conns": "number",
                                                        "uuid": "string"
                                                    },
                                                    "value": "number"
                                                }
                                            ],
                                            "reason": "string",
                                            "reason_attr": "string",
                                            "rum_apdexr": "number",
                                            "sum_finished_conns": "number",
                                            "uuid": "string",
                                            "vs_uptime": "number"
                                        }
                                    },
                                    "resources_penalty": 0,
                                    "security_penalty": 0
                                },
                                "runtime": {
                                    "num_servers": 0,
                                    "num_servers_enabled": 0,
                                    "num_servers_up": 0,
                                    "oper_status": {
                                        "last_changed_time": {
                                            "secs": 0,
                                            "usecs": 0
                                        },
                                        "reason": [
                                            "string"
                                        ],
                                        "reason_code": 0,
                                        "reason_code_string": "string",
                                        "state": "string"
                                    },
                                    "percent_servers_up_enabled": 0,
                                    "percent_servers_up_total": 0
                                }
                            }
                        }
                    ],
                    "name": "string",
                    "url": "string",
                    "uuid": "string"
                }
            ],
            "pools": [
                {
                    "alert": {
                        "level": "string"
                    },
                    "config": {
                        "cloud_ref": "string",
                        "created_by": "string",
                        "default_server_port": 0,
                        "enabled": false,
                        "gslb_sp_enabled": false,
                        "name": "string",
                        "tenant_ref": "string",
                        "url": "string",
                        "uuid": "string",
                        "vrf_ref": "string"
                    },
                    "health_score": {
                        "anomaly_penalty": 0,
                        "health_score": "number",
                        "performance_score": {
                            "application_performance": {
                                "reason": "string",
                                "reason_attr": "string",
                                "uuid": "string",
                                "virtualservice_performance_scores": [
                                    {
                                        "hs_entity": {
                                            "entity_uuid": "string",
                                            "metrics_entity": "string",
                                            "pool_ref": "string",
                                            "server": "string"
                                        },
                                        "reason": "string",
                                        "score_data": {
                                            "apdexc": "number",
                                            "apdexr": "number",
                                            "avg_pool_performance_score": "number",
                                            "oper_state": "string",
                                            "pool_performance_scores": [
                                                {
                                                    "hs_entity": {
                                                        "entity_uuid": "string",
                                                        "metrics_entity": "string",
                                                        "pool_ref": "string",
                                                        "server": "string"
                                                    },
                                                    "reason": "string",
                                                    "score_data": {
                                                        "apdexc": "number",
                                                        "apdexr": "number",
                                                        "oper_state": "string",
                                                        "pool_ref": "string",
                                                        "reason": "string",
                                                        "reason_attr": "string",
                                                        "sum_finished_conns": "number",
                                                        "uuid": "string"
                                                    },
                                                    "value": "number"
                                                }
                                            ],
                                            "reason": "string",
                                            "reason_attr": "string",
                                            "rum_apdexr": "number",
                                            "sum_finished_conns": "number",
                                            "uuid": "string",
                                            "vs_uptime": "number"
                                        },
                                        "value": "number"
                                    }
                                ]
                            },
                            "pool_performance": {
                                "apdexc": "number",
                                "apdexr": "number",
                                "oper_state": "string",
                                "pool_ref": "string",
                                "reason": "string",
                                "reason_attr": "string",
                                "sum_finished_conns": "number",
                                "uuid": "string"
                            },
                            "reason": "string",
                            "reason_attr": "string",
                            "server_performance": {
                                "apdexc": "number",
                                "apdexr": "number",
                                "oper_state": "string",
                                "pool_uuid": "string",
                                "reason": "string",
                                "reason_attr": "string",
                                "server": "string",
                                "sum_finished_conns": "number",
                                "uuid": "string"
                            },
                            "serviceengine_performance": {
                                "oper_state": "string",
                                "reason": "string",
                                "reason_attr": "string",
                                "uuid": "string"
                            },
                            "value": "number",
                            "virtualservice_performance": {
                                "apdexc": "number",
                                "apdexr": "number",
                                "avg_pool_performance_score": "number",
                                "oper_state": "string",
                                "pool_performance_scores": [
                                    {
                                        "hs_entity": {
                                            "entity_uuid": "string",
                                            "metrics_entity": "string",
                                            "pool_ref": "string",
                                            "server": "string"
                                        },
                                        "reason": "string",
                                        "score_data": {
                                            "apdexc": "number",
                                            "apdexr": "number",
                                            "oper_state": "string",
                                            "pool_ref": "string",
                                            "reason": "string",
                                            "reason_attr": "string",
                                            "sum_finished_conns": "number",
                                            "uuid": "string"
                                        },
                                        "value": "number"
                                    }
                                ],
                                "reason": "string",
                                "reason_attr": "string",
                                "rum_apdexr": "number",
                                "sum_finished_conns": "number",
                                "uuid": "string",
                                "vs_uptime": "number"
                            }
                        },
                        "resources_penalty": 0,
                        "security_penalty": 0
                    },
                    "runtime": {
                        "num_servers": 0,
                        "num_servers_enabled": 0,
                        "num_servers_up": 0,
                        "oper_status": {
                            "last_changed_time": {
                                "secs": 0,
                                "usecs": 0
                            },
                            "reason": [
                                "string"
                            ],
                            "reason_code": 0,
                            "reason_code_string": "string",
                            "state": "string"
                        },
                        "percent_servers_up_enabled": 0,
                        "percent_servers_up_total": 0
                    }
                }
            ],
            "runtime": {
                "oper_status": {
                    "last_changed_time": {
                        "secs": 0,
                        "usecs": 0
                    },
                    "reason": [
                        "string"
                    ],
                    "reason_code": 0,
                    "reason_code_string": "string",
                    "state": "string"
                },
                "percent_ses_up": 0,
                "vip_summary": {
                    "auto_allocate_floating_ip": false,
                    "auto_allocate_ip": false,
                    "auto_allocate_ip_type": "string",
                    "avi_allocated_fip": false,
                    "avi_allocated_vip": false,
                    "discovered_networks": [
                        {
                            "network_ref": "string",
                            "subnet": [
                                {
                                    "ip_addr": {
                                        "addr": "string",
                                        "type": "string"
                                    },
                                    "mask": 0
                                }
                            ],
                            "subnet6": [
                                {
                                    "ip_addr": {
                                        "addr": "string",
                                        "type": "string"
                                    },
                                    "mask": 0
                                }
                            ]
                        }
                    ],
                    "enabled": false,
                    "ip_address": {
                        "addr": "string",
                        "type": "string"
                    },
                    "num_se_assigned": 0,
                    "num_se_requested": 0,
                    "oper_status": {
                        "last_changed_time": {
                            "secs": 0,
                            "usecs": 0
                        },
                        "reason": [
                            "string"
                        ],
                        "reason_code": 0,
                        "reason_code_string": "string",
                        "state": "string"
                    },
                    "percent_ses_up": 0,
                    "placement_networks": [
                        {
                            "network_ref": "string",
                            "subnet": {
                                "ip_addr": {
                                    "addr": "string",
                                    "type": "string"
                                },
                                "mask": 0
                            },
                            "subnet6": {
                                "ip_addr": {
                                    "addr": "string",
                                    "type": "string"
                                },
                                "mask": 0
                            }
                        }
                    ],
                    "prefix_length": 0,
                    "service_engine": [
                        {
                            "active_on_cloud": false,
                            "active_on_se": false,
                            "admin_down_requested": false,
                            "attach_ip_in_progress": false,
                            "connected": false,
                            "detach_ip_in_progress": false,
                            "mgmt_ip": {
                                "addr": "string",
                                "type": "string"
                            },
                            "mgmt_ip6": {
                                "addr": "string",
                                "type": "string"
                            },
                            "name": "string",
                            "oper_status": {
                                "last_changed_time": {
                                    "secs": 0,
                                    "usecs": 0
                                },
                                "reason": [
                                    "string"
                                ],
                                "reason_code": 0,
                                "reason_code_string": "string",
                                "state": "string"
                            },
                            "primary": false,
                            "route_revoked_pool_down": false,
                            "scalein_in_progress": false,
                            "scaleout_in_progress": false,
                            "se_ready_in_progress": false,
                            "sec_idx": 0,
                            "snat_ip": {
                                "addr": "string",
                                "type": "string"
                            },
                            "snat_ip6_address": {
                                "addr": "string",
                                "type": "string"
                            },
                            "standby": false,
                            "uuid": "string"
                        }
                    ],
                    "vip_id": "string"
                }
            },
            "serviceengines": [
                "string"
            ],
            "uuid": "string"
        }
    ],
    "serviceengines": [
        {
            "_last_modified": "string",
            "alert": {
                "level": "string"
            },
            "config": {
                "cloud_ref": "string",
                "enable_state": "string",
                "host_ref": "string",
                "mgmt_ip6_address": {
                    "addr": "string",
                    "type": "string"
                },
                "mgmt_ip_address": {
                    "addr": "string",
                    "type": "string"
                },
                "name": "string",
                "se_group_ref": "string",
                "tenant_ref": "string",
                "url": "string",
                "uuid": "string",
                "virtualservice_refs": [
                    "string"
                ],
                "vs_per_se_refs": [
                    "string"
                ]
            },
            "health_score": {
                "anomaly_penalty": 0,
                "health_score": "number",
                "performance_score": {
                    "application_performance": {
                        "reason": "string",
                        "reason_attr": "string",
                        "uuid": "string",
                        "virtualservice_performance_scores": [
                            {
                                "hs_entity": {
                                    "entity_uuid": "string",
                                    "metrics_entity": "string",
                                    "pool_ref": "string",
                                    "server": "string"
                                },
                                "reason": "string",
                                "score_data": {
                                    "apdexc": "number",
                                    "apdexr": "number",
                                    "avg_pool_performance_score": "number",
                                    "oper_state": "string",
                                    "pool_performance_scores": [
                                        {
                                            "hs_entity": {
                                                "entity_uuid": "string",
                                                "metrics_entity": "string",
                                                "pool_ref": "string",
                                                "server": "string"
                                            },
                                            "reason": "string",
                                            "score_data": {
                                                "apdexc": "number",
                                                "apdexr": "number",
                                                "oper_state": "string",
                                                "pool_ref": "string",
                                                "reason": "string",
                                                "reason_attr": "string",
                                                "sum_finished_conns": "number",
                                                "uuid": "string"
                                            },
                                            "value": "number"
                                        }
                                    ],
                                    "reason": "string",
                                    "reason_attr": "string",
                                    "rum_apdexr": "number",
                                    "sum_finished_conns": "number",
                                    "uuid": "string",
                                    "vs_uptime": "number"
                                },
                                "value": "number"
                            }
                        ]
                    },
                    "pool_performance": {
                        "apdexc": "number",
                        "apdexr": "number",
                        "oper_state": "string",
                        "pool_ref": "string",
                        "reason": "string",
                        "reason_attr": "string",
                        "sum_finished_conns": "number",
                        "uuid": "string"
                    },
                    "reason": "string",
                    "reason_attr": "string",
                    "server_performance": {
                        "apdexc": "number",
                        "apdexr": "number",
                        "oper_state": "string",
                        "pool_uuid": "string",
                        "reason": "string",
                        "reason_attr": "string",
                        "server": "string",
                        "sum_finished_conns": "number",
                        "uuid": "string"
                    },
                    "serviceengine_performance": {
                        "oper_state": "string",
                        "reason": "string",
                        "reason_attr": "string",
                        "uuid": "string"
                    },
                    "value": "number",
                    "virtualservice_performance": {
                        "apdexc": "number",
                        "apdexr": "number",
                        "avg_pool_performance_score": "number",
                        "oper_state": "string",
                        "pool_performance_scores": [
                            {
                                "hs_entity": {
                                    "entity_uuid": "string",
                                    "metrics_entity": "string",
                                    "pool_ref": "string",
                                    "server": "string"
                                },
                                "reason": "string",
                                "score_data": {
                                    "apdexc": "number",
                                    "apdexr": "number",
                                    "oper_state": "string",
                                    "pool_ref": "string",
                                    "reason": "string",
                                    "reason_attr": "string",
                                    "sum_finished_conns": "number",
                                    "uuid": "string"
                                },
                                "value": "number"
                            }
                        ],
                        "reason": "string",
                        "reason_attr": "string",
                        "rum_apdexr": "number",
                        "sum_finished_conns": "number",
                        "uuid": "string",
                        "vs_uptime": "number"
                    }
                },
                "resources_penalty": 0,
                "security_penalty": 0
            },
            "runtime": {
                "active_tags": [
                    "string"
                ],
                "at_curr_ver": false,
                "bgp_peers_up": false,
                "gateway_up": false,
                "hb_status": {
                    "last_hb_req_sent": "string",
                    "last_hb_resp_recv": "string",
                    "num_hb_misses": 0,
                    "num_outstanding_hb": 0
                },
                "inband_mgmt": false,
                "license_state": "string",
                "licensed_service_cores": "number",
                "migrate_progress": {
                    "num_vs_completed": 0,
                    "num_vs_failed": 0,
                    "num_vs_total": 0
                },
                "migrate_state": "string",
                "online_since": "string",
                "oper_status": {
                    "last_changed_time": {
                        "secs": 0,
                        "usecs": 0
                    },
                    "reason": [
                        "string"
                    ],
                    "reason_code": 0,
                    "reason_code_string": "string",
                    "state": "string"
                },
                "power_state": "string",
                "se_connected": false,
                "se_dp_start_time": {
                    "secs": 0,
                    "usecs": 0
                },
                "se_grp_reboot_pending": false,
                "sufficient_memory": false,
                "version": "string",
                "vinfra_discovered": false,
                "vsphere_ha_enabled": false,
                "vsphere_ha_inprogress": false,
                "vsphere_ha_job_active": false
            },
            "url": "string",
            "uuid": "string"
        }
    ]
}
integer As uint32 As uint32
count
Optional

Total number of Virtual Services. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
next
Optional

URL of the next page of results, if any. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of object
results
Optional

Per-VS inventory-map entries. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of object
serviceengines
Optional

Flat de-duplicated list of ServiceEngines referenced by any VS in results, each entry only populates uuid/name/url/cloud_ref. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.


401

log in failed

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/inventory-map